Bug 202529 - Review Request: rt2500-(kmod-common)
Review Request: rt2500-(kmod-common)
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-08-14 18:28 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-02 19:53:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2006-08-14 18:28:16 EDT
Spec URL: http://kwizart.free.fr/fedora/SPECS/rt2500.spec
SRPM URL: http://kwizart.free.fr/fedora/5/SRPMS/rt2500-
Description: User module and Diagnostic tools for Ralink Wireless devices
Comment 1 Paul F. Johnson 2006-08-14 18:39:29 EDT
BuildRequires:  qt-devel >= 3.2.1

If you're only packing this for FC5/6/rawhide, you won't need this.

You will need to include desktop-file-utils

ExclusiveArch:	i686 x86_64

Needs a note explaining why also needs a note why smp_mflags are not used on the
make line

cd Utilitys


If the file is in Utilitys from the BUILD directory, it should be

install Utilitys/foo $RPM_BUILD_DIR%{_bindir}/foo

You don't need to use cd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/rt2500

These should be done in the %files section using %doc

%doc THANKS CHANGELOG FAQ etc. If the mode is not already correct, %prep is the
correct place to fix it.

cat > %{name}.desktop <<EOF

No Version tag

desktop-file-install --vendor livna 


gtk-update-icon-cache -qf %{_datadir}/pixmaps/rt2500 &>/dev/null || :
update-desktop-database &>/dev/null || :

Have a look at


for advice on this. You can't just assume gtk-update-icon-cache or
update-desktop-database exist, they have to be checked and the package they come
from included in the BRs




is all that is required

%doc %{_datadir}/doc/rt2500/*

See above

Comment 2 Nicolas Chauvet (kwizart) 2006-08-14 20:30:04 EDT
updated version of the spec file:
- drop qt-devel >= 3.2.1
* how to include desktop-file-utils?
- drop exclusive arch, may build on i586, i686, x86_64 - maybe on pcc?(asking team)
* what is a version tag example with applet desktop ?
- dropped gtk-icon-cache (not high res directory - remplaced with ln rt2500/foo.xpm
- doc ok!

What else may
Comment 3 Nicolas Chauvet (kwizart) 2006-08-15 08:51:21 EDT
... be corrected?

ppc (big endian) may be very buggy cf
dropped for testing? i586 is certainly good also...
Comment 4 Nicolas Chauvet (kwizart) 2006-08-17 21:34:33 EDT
Spec URL: http://kwizart.free.fr/fedora/SPECS/rt2500.spec
Description: Diagnostic tools for Ralink Wireless devices

rpmlint -1 success... (i686, debug, src)

There is still a problem with RaConfig2500 for asking root password with pam...
( Any info about this ? )
Comment 5 David Fraser 2006-09-23 15:47:28 EDT
some of the install -D caused problems for me in the latest spec file - they
seemed to be in the case where there is a file given with a directory
destination (-D expects the full pathname as destination):
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/network-scripts
install -D -p -m 0644 Module/ifcfg-ra0

That -D (and several other similar) should be removed AFAICT
Comment 6 Nicolas Chauvet (kwizart) 2006-10-02 19:53:18 EDT
Review closed because rt2x00 can now be built, i'm using bug :
to request review of rt2x00-kmod and rt2x00-kmod-common.

Note You need to log in before you can comment on or make changes to this bug.